Robotsystem of the Robot Group Leipzig: BoundingShape Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BoundingShape Class Reference

class for reading bounding shape description files (.bbox) and to create appropriate geoms File Format: Lines wise, every line stands for one primitive. More...

`#include <boundingshape.h>`

Collaboration diagram for BoundingShape:

[legend]
List of all members.

## Public Member Functions
| BoundingShape (const std::string &filename, Primitive *parent)
| class for reading bounding shape description files (.bbox) and to create appropriate geoms File Format: Lines wise, every line stands for one primitive.
virtual | ~BoundingShape ()
bool | readBBoxFile (std::string &filename, const OdeHandle &odeHandle, const OsgHandle &osgHandle, double scale, char mode)
virtual bool | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, double scale, char mode)
virtual bool | isActive ()

## Detailed Description

class for reading bounding shape description files (.bbox) and to create appropriate geoms File Format: Lines wise, every line stands for one primitive.

Possible lines are: sphere radius (x,y,z) cylinder radius height (x,y,z) (alpha, beta, gamma) capsule radius height (x,y,z) (alpha, beta, gamma) box length width height (x,y,z) (alpha, beta, gamma) (x,y,z) is the position vector and (alpha, beta, gamma) are the rotation angles about x,y,z axis respectively

## Constructor & Destructor Documentation

BoundingShape | ( | const std::string & | filename,
|  | Primitive * | parent |
| ) |  |  |

class for reading bounding shape description files (.bbox) and to create appropriate geoms File Format: Lines wise, every line stands for one primitive.

Possible lines are: sphere radius (x,y,z) cylinder radius height (x,y,z) (alpha, beta, gamma) capsule radius height (x,y,z) (alpha, beta, gamma) box length width height (x,y,z) (alpha, beta, gamma) (x,y,z) is the position vector and (alpha, beta, gamma) are the rotation angles about x,y,z axis respectively

~BoundingShape | ( |  | ) | `[virtual]`

## Member Function Documentation

bool init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | double | scale,
|  | char | mode |
| ) |  |  | `[virtual]`

bool isActive | ( |  | ) | `[virtual]`

bool readBBoxFile | ( | std::string & | filename,
|  | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | double | scale,
|  | char | mode |
| ) |  |  |

The documentation for this class was generated from the following files:

- boundingshape.h
- boundingshape.cpp